Package io.flutter.embedding.engine.systemchannels

# Enum TextInputChannel.TextInputType

java.lang.Object
java.lang.Enum<TextInputChannel.TextInputType>
io.flutter.embedding.engine.systemchannels.TextInputChannel.TextInputType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextInputChannel.TextInputType>`, `java.lang.constant.Constable`

Enclosing class:
  `TextInputChannel`

public static enum TextInputChannel.TextInputType extends Enum<TextInputChannel.TextInputType>
Types of text input.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATETIME`
  `EMAIL_ADDRESS`
  `MULTILINE`
  `NAME`
  `NONE`
  `NUMBER`
  `PHONE`
  `POSTAL_ADDRESS`
  `TEXT`
  `TWITTER`
  `URL`
  `VISIBLE_PASSWORD`
  `WEB_SEARCH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextInputChannel.TextInputType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TextInputChannel.TextInputType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TEXT

    public static final TextInputChannel.TextInputType TEXT

  - ### DATETIME

    public static final TextInputChannel.TextInputType DATETIME

  - ### NAME

    public static final TextInputChannel.TextInputType NAME

  - ### POSTAL_ADDRESS

    public static final TextInputChannel.TextInputType POSTAL_ADDRESS

  - ### NUMBER

    public static final TextInputChannel.TextInputType NUMBER

  - ### PHONE

    public static final TextInputChannel.TextInputType PHONE

  - ### MULTILINE

    public static final TextInputChannel.TextInputType MULTILINE

  - ### EMAIL_ADDRESS

    public static final TextInputChannel.TextInputType EMAIL_ADDRESS

  - ### URL

    public static final TextInputChannel.TextInputType URL

  - ### VISIBLE_PASSWORD

    public static final TextInputChannel.TextInputType VISIBLE_PASSWORD

  - ### NONE

    public static final TextInputChannel.TextInputType NONE

  - ### WEB_SEARCH

    public static final TextInputChannel.TextInputType WEB_SEARCH

  - ### TWITTER

    public static final TextInputChannel.TextInputType TWITTER

- ## Method Details

  - ### values

    public static TextInputChannel.TextInputType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TextInputChannel.TextInputType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null